# README for Group Assignment 1.6

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/): Week 1.6, Friday, Oct 11, 2024.*

_You can access this assignment with the following link: [classroom.github.com/a/G8m3Wicv](https://classroom.github.com/a/G8m3Wicv)._

GA 1.6 builds on the fundamentals of numerical analysis from Week 1.5 by treating non-linear ODEs (Part 1) and a linear PDE, the diffusion equation (Part 2).

There are several files to be aware of:

1. `README.md`
2. `Analysis.ipynb`
3. `Report.md`
4. `figures/` (subdirectory containing a diagram of the problem)

As before, you should complete the analysis in `Analysis.ipynb` then answer the questions in `Report.md`.

The Analysis notebook has a number of subtasks that ask you to write equations and create diagrams. These are essential steps for working through the analysis, and we strongly encourage you to complete these tasks (they will be useful for exam preparation as well). However, your grade will not be affected by the presence or quality of your answers in the notebook (only the Report). 

## Task Overview

We recommend leaving around 45 minutes at the end of the session to work on the Report.

It may be possible to subdivide tasks amongst your group members. Here are a few tips to help you decide.

- Part 1 (Tasks 1-2), approximately 20% of the workload:
  - It is possible to work on Part 1 in parallel to Part 2.
- Part 2 (Tasks 3-5), approximately 80% of the workload:
  - Task 3 is the most critical part of the GA and the subtasks should be done sequentially. It is very similar in structure to WS 1.6. Expect to spend around 50% of the workshop here. 
  - Complete Task 3 before starting on Tasks 4 and 5.
  - It is possible to work on Tasks 4 and 5 in parallel.
  - If you have to choose between Task 4 and 5, start with Task 5.

If you are short on time, it is better to start the report than to finish Tasks 4 and 5, as all of the questions can be answered. If you provide a clear explanation at the end of the Report that describes what you could not finish, and your Report answers are consistent with your results, your grade will not be significantly affected.

**Working method and grading** are identical to GA 1.5 (see [GA 1.5 README](https://mude.citg.tudelft.nl/2024/files/GA_1_5/README.html)).

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE" href="http://mude.citg.tudelft.nl/">MUDE</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">CC BY 4.0 License</a>.